// $Log: testgen.cc,v $
// Revision 1.5  1998/10/10 07:06:28  am
// Riformattazione
//
// Revision 1.4  1997/09/04 20:30:50  am
// 3 Nuovi file di test rand,crlf,one
//
// Revision 1.3  1997/09/03 07:11:05  am
// Ridotta dimensione del file di test
//
// Revision 1.2  1997/07/17 15:12:14  am
// Correzioni minori
//
// Revision 1.1  1997/07/04 19:48:40  am
// Initial revision
//

#include <stdlib.h>
#include <stdio.h>

void fputstr(const char* s, FILE* f) { 
	fwrite( s, strlen(s), 1, f );
}

int main() {
	srand( 0 );
	FILE* f;
	
	// Combinazioni CRLF
	f = fopen("testcrlf.bin","wb"); 
	fputstr("Test File\n", f);
	fputstr("CR<\r>\n", f);
	fputstr("LF<\n>\n", f);
	fputstr("CRCR<\r\r>\n" ,f);
	fputstr("LFLF<\n\n>\n" ,f);
	fputstr("CRLF<\r\n>\n" ,f);
	fputstr("LFCR<\n\r>\n" ,f);
	fputstr("CRCRCR<\r\r\r>\n" ,f);
	fputstr("LFLFLF<\n\n\n>\n" ,f);
	fputstr("CRLFCR<\r\n\r>\n" ,f);
	fputstr("LFCRLF<\n\r\n>\n" ,f);
	fputstr("CRCRLF<\r\r\n>\n" ,f);
	fputstr("LFCRCR<\n\r\r>\n" ,f);
	fputstr("CRLFLF<\r\n\n>\n" ,f);
	fputstr("LFLFCR<\n\n\r>\n" ,f);
	fclose(f);

	// Bit casuali
	f = fopen("testrand.bin","wb"); 
	fputstr("Random bits\n", f);
	for(int i=0;i<1024;++i)
		fputc( rand() % 256, f );
	fclose(f);
	
	// Un byte
	f = fopen("testone.bin","wb"); 
	fputc( '#', f );
	fclose(f);
	
	return EXIT_SUCCESS;
}
